[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.Expand

Expand the list

## Declaration

Source position: contnrs.pp line 307

`public function TFPHashObjectList.Expand: TFPHashObjectList;`

## Function result

Returns self

## Description

Expand enlarges the capacity of the list if the maximum capacity was reached. It returns itself.

## Errors

If not enough memory is available, an exception may be raised.

## See also

TFPHashObjectList.Clear |  | Clear the list

Documentation generated on: Feb 26 2014